# value::contentholder Struct Reference

Inheritance diagram for value::contentholder:

List of all members.

## Public Member Functions

virtual | ~contentholder ()
virtual contentholder * | clone () const =0
virtual const std::type_info & | type () const =0

## Detailed Description

Definition at line 67 of file _value.h.

## Constructor & Destructor Documentation

virtual value::contentholder::~contentholder | ( |  | ) | `[inline, virtual]`

Definition at line 69 of file _value.h.

## Member Function Documentation

virtual contentholder* value::contentholder::clone | ( |  | ) | const`[pure virtual]`

Implemented in value::holder< T >.

virtual const std::type_info& value::contentholder::type | ( |  | ) | const`[pure virtual]`

Implemented in value::holder< T >.

Referenced by value::type().

The documentation for this struct was generated from the following file:

- _value.h